/*************** FOLDS ******************/
section.widget {
	height: 44px;
	min-height: 44px;
	transition: all ease-in-out .20s;
	gap: 0;
	position: relative;
	display: flex;
	flex-direction: column;
	background: var(--widget-bg-color);
	width: 100%;
	border-radius: var(--border-radius);
}

section.widget header,
section.widget main h1{
	display: flex;
	padding: 10px 20px;
	margin-bottom: 0px;
	flex-wrap: nowrap;
}

section.widget header{
	border-bottom: 2px solid var(--bg-color);
}

section.widget header h1,
section.widget main h1{
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

section.widget header h1 i,
section.widget main h1 i{
	margin-right: 15px;
}

section.widget main h1{
	margin-left: -10px;
	width:calc(100% + 20px);
}


section.widget main {
	min-height: 10px;
	flex: 1 1 auto;
	padding: 10px 20px;
	overflow: auto;
	max-height: 100%;
	padding-top: 0;
}

section.widget.transparent main {
	min-height: 0px;
}

.row.first,
section.widget main > div.row
{
	padding-top: 10px;
}

section.widget main > div.row p:last-child {
	margin-bottom: 0;
}


section.widget.scroll main {
	max-height: 100%;
}

section.widget {
	height: auto;
}

section.widget header div.tags {
	margin: 0 0 0 auto;
}

section.widget header div.tags + ul {
	margin-left: 0;
}

section.widget footer{
    border-top: 2px solid #e5e5e5;
    padding: 10px;
    text-align: right;
    display: flex;
    justify-content: flex-end;
    flex:0 0 auto;
}

section.widget main footer {
	margin-left: -10px;
	margin-top: 10px;
	width: calc(100% + 10px);
}

section.widget footer button {
	margin-top: 0;
}

div.widgetSizer {
	text-align: center;
	background: rgb(230, 230, 230);
	padding-top: 2px;
	line-height: 0;
	position: relative;
	margin-top: auto;
	border-top: 2px solid #e5e5e5;
}

div.widgetSizer i {
	opacity: .3;
	padding: 0 10px 2px;
	cursor: row-resize;
}


section.widget footer {
	margin-top: auto;

}

div.widgetSizer.closed {
	background: none;
	margin-top: -27px;
	border-top-color: transparent;
}

div.widgetSizer.closed:before {
	content: '';
	height: 13px;
	background: var(--widget-bg-color);
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
}

div.widgetSizer.closed i {
	color: rgba(43, 43, 43, .5);
}

section.widget footer + div.widgetSizer {
	margin-top: 0;
}


/*************** FOLDS SEARCH******************/
section.widget.transparent {
	background: none;
	box-shadow: none;
}


section.widget header div.searchInput input {
	border: none;
	background: rgba(229, 229, 229, .5);
	font-weight: 700;
	font-size: 2rem;
	margin: 0;
	padding: 0 0 0 10px;
	height: auto;
	font-family: 'Neue Haas Grotesk W01 Disp', Times, Arial, sans-serif, FontAwesome;
	flex: 1 0;
	border-radius: 20px;
}

section.widget.transparent header div.searchInput input{
	background:none;
}

section.widget.transparent header input {
	border: none;
}


section.widget header input::placeholder {
	opacity: 1;
}

section.widget header input{
	margin-bottom: 0;
}

section.widget header {
	flex: 0 1 auto;
	flex-wrap: nowrap;
	background: transparent;
}


section.widget.transparent header {
	flex-wrap: wrap;

}
section.widget.transparent header{
	border-bottom:none;
}

.layout.main section.widget{
	border-bottom: none;
}

section.widget div.searchResults > div {
	background: #fff;
	/* padding: 10px 10px 0 10px; */
	position: relative;
}

section.widget div.searchResults > div a {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}
/*
section.widget div.searchResults > div p {
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
	margin-bottom: 10px;
}
*/
section.widget div.searchResults .previewImage {
	width: 100%;
	padding-bottom: 50%;
	background-size: cover;
	background-position: center center;
	margin-bottom: 10px;
}

/*************** READONLY ******************/
div.layout.main.readonly section.widget{
	background: none;
	box-shadow: none;
}
div.layout.main.readonly hr{
	border-top: 8px solid white;
	
}
div.layout.main.readonly section.widget header{
	margin:10px 10px 0 10px;
	padding:5px;
	background: white;
}

tr .readonly {
	user-select: none;
	color: gray;
}

tr .readonly i,
tr .readonly a{
	pointer-events: none;
}
